



# Google Slides
  
This module allows you to create, write and update Google Slides. You can add or remove slides and text on them; download the presentation in various formats; and more.  

## How to install this module
  
To install the module in Rocketbot Studio, it can be done in two ways:
1. Manual: __Download__ the .zip file and unzip it in the modules folder. The folder name must be the same as the module and inside it must have the following files and folders: \__init__.py, package.json, docs, example and libs. If you have the application open, refresh your browser to be able to use the new module.
2. Automatic: When entering Rocketbot Studio on the right margin you will find the **Addons** section, select **Install Mods**, search for the desired module and press install.  


## Overview


1. Setup G-Suite credentials  
Get permissions to handle Google Slides with Rocketbot

2. New Presentation  
Create a new Google Slides presentation with Rocketbot

3. Add blank slide  
Add a new slide to your Google Slides presentation

4. Add layout slide  
Add a new slide with title and body to your Google Slides presentation

5. Delete Presentation  
Delete a selected Google Presentation

6. Delete Slide  
Delete a slide from a selected Google Presentation

7. Add Text  
Insert a new Text in Google Slides presentation with Rocketbot. This command is used for blank slides.

8. Insert Text  
Insert text into an element already created on a specific slide of Google Slides.

9. Delete Text  
Remove text from an element in a Google Slides presentation with Rocketbot

10. Download Slides  
Download a Google Slides presentation in PP or PDF format with Rocketbot

11. Get Element ID  
Gets a list with the ID of each element that has the indicated Slide  




----
### OS

- windows
- mac
- linux
- docker

### Dependencies
- [**google-api-python-client**](https://pypi.org/project/google-api-python-client/)- [**google-auth-oauthlib**](https://pypi.org/project/google-auth-oauthlib/)- [**google-auth**](https://pypi.org/project/google-auth/)
### License
  
![MIT](https://camo.githubusercontent.com/107590fac8cbd65071396bb4d04040f76cde5bde/687474703a2f2f696d672e736869656c64732e696f2f3a6c6963656e73652d6d69742d626c75652e7376673f7374796c653d666c61742d737175617265)  
[MIT](http://opensource.org/licenses/mit-license.ph)